%global momorel 4

Summary: A PostgresSQL interface for perl
Name: perl-DBD-Pg
Version: 1.32
Release: %{momorel}m
License: GPL or Artistic
Group: Applications/Databases
URL: http://www.cpan.org/modules/by-module/DBD/
%NoSource 0 http://www.cpan.org/modules/by-module/DBD/DBD-Pg-%{version}.tar.gz 9d6a936e6f755af677ceef59272a50ac
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: postgresql-devel >= 7.3
BuildPreReq: perl >= 5.8.5
BuildPreReq: perl-DBI >= 1.38-3m

%description
An implementation of DBI for PostgreSQL for Perl.

%prep
%setup -q -n DBD-Pg-%{version}

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=/usr/%{_lib}
CFLAGS="%{optflags}" perl Makefile.PL
make
# make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/DBD/Pg/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes TODO
%{_mandir}/man?/*
%{perl_sitearch}/DBD/*
%{perl_sitearch}/auto/DBD/*

%changelog
* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (1.32-4m)
- rebuild against postgresql-8.0.2.

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.32-3m)
- rebuild against perl-5.8.5
- rebuild against perl-DBI 1.38-4m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.32-2m)
- remove Epoch from BuildPrereq

* Wed Mar 10 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.32-1m)
- update to 1.32
- add TODO to %%doc

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.22-4m)
- rebuild against postgresql-7.4.1

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.22-3m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.22-2m)
- rebuild against perl-5.8.1

* Fri Oct 31 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.22-1m)
- update to 1.22
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- use %%{momorel}, %%NoSource
- change URL: preamble
- revise %%files

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.01-14m)
  rebuild against openssl 0.9.7a

* Thu Jan 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.01-13m)
- rebuild against for postgresql

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-12m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-11m)
- remove BuildPreReq: gcc2.95.3

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.01-10k)
- rebuild against for perl-5.6.1

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (1.01-8k)
- rebuild against postgresql 7.1.3-4k.
- add BuildPreReq.

* Sat Oct 27 2001 Toru Hoshina <t@kondara.org>
- (1.01-6k)
- rebuild against postgresql 7.1.3.

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (1.01-4k)
- no more fixpack...

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (1.01-2k)
- merge from rawhide. based on 1.01-1.
